# Uses of Class
org.apache.wiki.workflow.Workflow

Packages that use Workflow
Package
Description
org.apache.wiki.workflow

## Uses of Workflow in org.apache.wiki.workflow

Methods in org.apache.wiki.workflow that return Workflow
Modifier and Type
Method
Description
`Workflow`
WorkflowBuilder.`buildApprovalWorkflow(Principal submitter, String workflowApproverKey, Step prepTask, String decisionKey, Fact[] facts, Step completionTask, String rejectedMessageKey)`
Builds an approval workflow that requests approval from a named user, `Group` or `Role` before running a Task.
Methods in org.apache.wiki.workflow that return types with arguments of type Workflow
Modifier and Type
Method
Description
`List<Workflow>`
DefaultWorkflowManager.`getCompletedWorkflows()`
Returns a collection of finished workflows; that is, those that have aborted or completed.
`List<Workflow>`
WorkflowManager.`getCompletedWorkflows()`
Returns a collection of finished workflows; that is, those that have aborted or completed.
`List<Workflow>`
DefaultWorkflowManager.`getOwnerWorkflows(Session session)`
Returns the current workflows a wiki session owns.
`List<Workflow>`
WorkflowManager.`getOwnerWorkflows(Session session)`
Returns the current workflows a wiki session owns.
`Set<Workflow>`
DefaultWorkflowManager.`getWorkflows()`
Returns a collection of the currently active workflows.
`Set<Workflow>`
WorkflowManager.`getWorkflows()`
Returns a collection of the currently active workflows.
`Map<Integer,Workflow>`
DefaultWorkflowManager.`getWorkflowsAsMap()`
Returns a map of the currently active workflows.
`Map<Integer,Workflow>`
WorkflowManager.`getWorkflowsAsMap()`
Returns a map of the currently active workflows.
Methods in org.apache.wiki.workflow with parameters of type Workflow
Modifier and Type
Method
Description
`protected void`
DefaultWorkflowManager.`add(Workflow workflow)`
Protected helper method that adds a newly created Workflow to the cache, and sets its `workflowManager` and `Id` properties if not set.
`protected void`
DefaultWorkflowManager.`remove(Workflow workflow)`
Protected helper method that removes a specified Workflow from the cache, and moves it to the workflow history list.